Page MenuHomePhabricator

[llvm-objcopy][MachO] Fix symbol order in the symbol table
ClosedPublic

Authored by MaskRay on Nov 19 2019, 6:06 PM.

Details

Summary

Only consider isUndefinedSymbol() when the symbol is not local. This
fixes an assert failure when copying the symbol table, if a n_type=0x20
symbol is followed by a n_type=0x64 symbol.

Diff Detail

Event Timeline

MaskRay created this revision.Nov 19 2019, 6:06 PM
alexshap accepted this revision.Nov 20 2019, 6:32 PM
This revision is now accepted and ready to land.Nov 20 2019, 6:32 PM
seiya accepted this revision.Nov 21 2019, 1:00 AM

LGTM too. Thanks for the fix!

This revision was automatically updated to reflect the committed changes.